Comments
Retrieve a list of comments, optionally filtered by resource ID and resource type.
Query parameters
resource_idstringOptional
Filter by resource id
resource_typestringOptional
Filter by resource type
Responses
200
Comments list
application/json
401
Unauthorized
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
get/api/business_concepts/comments
GET /api/business_concepts/comments HTTP/1.1
Accept: */*
{
"data": [
{
"content": "Great resource",
"created_at": "2026-05-22T10:00:00Z",
"id": 123,
"resource_id": 456,
"resource_type": "dataset",
"user": {
"user_id": 1,
"user_name": "john"
}
}
]
}Create a new comment for a resource using the provided payload.
Body
Responses
201
Comment created
application/json
401
Unauthorized
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
post/api/business_concepts/comments
POST /api/business_concepts/comments HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 84
{
"comment": {
"content": "Great resource",
"resource_id": 456,
"resource_type": "dataset"
}
}{
"data": {
"content": "Great resource",
"created_at": "2026-06-08T17:56:14.853060Z",
"id": 123,
"resource_id": 456,
"resource_type": "dataset",
"user": {
"full_name": "john fullname",
"user_id": 1,
"user_name": "john"
}
}
}Retrieve a single comment by its ID.
Path parameters
idstringRequired
Comment ID
Responses
200
Comment
application/json
401
Unauthorized
application/json
404
Not found
application/json
500
Internal Server Error
application/json
get/api/business_concepts/comments/{id}
GET /api/business_concepts/comments/{id} HTTP/1.1
Accept: */*
{
"data": {
"content": "Great resource",
"created_at": "2026-05-22T10:00:00Z",
"id": 123,
"resource_id": 456,
"resource_type": "dataset",
"user": {
"full_name": "john fullname",
"user_id": 1,
"user_name": "john"
}
}
}Delete the specified comment by its ID.
Path parameters
idstringRequired
Comment ID
Responses
204
Comment deleted
No content
401
Unauthorized
application/json
404
Not found
application/json
500
Internal Server Error
application/json
delete/api/business_concepts/comments/{id}
DELETE /api/business_concepts/comments/{id} HTTP/1.1
Accept: */*
No content
Last updated